%define reltag _redhat_2
%define namedreltag -redhat-2
%global namedversion %{version}%{?namedreltag}

%bcond_without mead

%define maven_version 1.2.8-redhat-2

Name:           org.apache.felix.configadmin
Version:        1.2.8
Release:        4%{?reltag}%{?dist}
Epoch:          0
Summary:        Apache Felix Configuration Admin Service
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: org.apache.felix-org.apache.felix.configadmin-1.2.8-redhat-2-sources.zip
Source101: org.apache.felix-org.apache.felix.configadmin-1.2.8-redhat-2-patches.zip
Source102: org.apache.felix.configadmin-1.2.8-redhat-2-sources.jar
Source103: org.apache.felix.configadmin-1.2.8-redhat-2.jar
Source104: org.apache.felix.configadmin-1.2.8-redhat-2.pom
Source105: org.apache.felix.configadmin-1.2.8-redhat-2-javadoc.jar
%endif

URL:            http://felix.apache.org/site/apache-felix-config-admin.html
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  unzip
BuildRequires:  zip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Implementation of the OSGi Configuration Admin Service Specification 1.2.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do zip -v -d 'META-INF/JBOSSCOD.*' || :; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.apache.felix org.apache.felix.configadmin %{namedversion} JPP %{name}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%{_javadir}*/%{name}-%{namedversion}-javadoc.jar
%{_javadir}*/%{name}-javadoc.jar

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-4_redhat_2
- Rebuild for MD5

* Tue Sep 04 2012 David Walluck <dwalluck@redhat.com> 0:1.2.8-3
- update vman patch by hand to reduce whitespace changes

* Fri Aug 31 2012 David Walluck <dwalluck@redhat.com> 0:1.2.8-2
- rediff vman patch
- add back sources and javadoc jars

* Fri Aug 31 2012 David Walluck <dwalluck@redhat.com> 0:1.2.8-1
- build against parent org.apache.felix:felix-parent:1.2.1-redhat-2

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-0.6_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-0.6_redhat_2.3
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-0.6_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-0.6_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.8-0.6_redhat_1
- Remove javadoc.jar from main package

* Fri Mar 23 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2.8-0.5_redhat_1
- Upgrade to new wrapper

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.2.8-0.4_redhat_1
- Rebuild to use new signing key

* Tue Feb 07 2012 Hui Wang <huwang@redhat.com> 0:1.2.8-0.3_redhat_1
- Resign new 2011 key
- Update pom patch

* Tue Oct 04 2011 David Walluck <dwalluck@redhat.com> 0:1.2.8-0.2_redhat_1
- update patch
- fix version
- unsign jars in %%install

* Fri Aug 19 2011 David Walluck <dwalluck@redhat.com> 0:1.2.8-0.1
- release
